# xarray.ufuncs.degrees

`xarray.ufuncs.``degrees` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.degrees. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  degrees(x, /, out=None, *, where=True, casting=’same_kind’, order=’K’, dtype=None, subok=True[, signature, extobj])

  Convert angles from radians to degrees.

  Parameters:

  x : array_like

  > Input array in radians.

  out : ndarray, None, or tuple of ndarray and None, optional

  > A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

  where : array_like, optional

  > Values of True indicate to calculate the ufunc at that position, values of False indicate to leave the value in the output alone.

  **kwargs

  > For other keyword-only arguments, see the ufunc docs.

  Returns:

  y : ndarray of floats

  > The corresponding degree values; if out was supplied this is a reference to it.

  See also

  `rad2deg`
    equivalent function

  Examples

  Convert a radian array to degrees

      >>> rad = np.arange(12.)*np.pi/6
      >>> np.degrees(rad)
      array([   0.,   30.,   60.,   90.,  120.,  150.,  180.,  210.,  240.,
              270.,  300.,  330.])

      >>> out = np.zeros((rad.shape))
      >>> r = degrees(rad, out)
      >>> np.all(r == out)
      True